depth. {ddalpha} | R Documentation

## Calculate Depth

### Description

Calculates the depth of points w.r.t. a multivariate data set.

The detailed descriptions are found in the corresponding topics.

### Usage

    depth.(x, data, notion, ...)

    ## beta-skeleton depth
    # depth.betaSkeleton(x, data, beta = 2, distance = "Lp", Lp.p = 2,
    #                   mah.estimate = "moment", mah.parMcd = 0.75)

    ## Tukey depth
    # depth.halfspace(x, data, exact, method, num.directions = 1000, seed = 0)

    ## L2-depth
    # depth.L2(x, data, mah.estimate = "moment", mah.parMcd = 0.75)

    ## Mahalanobis depth
    # depth.Mahalanobis(x, data, mah.estimate = "moment", mah.parMcd = 0.75)

    ## projection depth
    # depth.projection(x, data, method = "random", num.directions = 1000)

    ## simplicial depth
    # depth.simplicial(x, data, exact = F, k = 0.05, seed = 0)

    ## simplicial volume depth
    # depth.simplicialVolume(x, data, exact = F, k = 0.05, seed = 0)

    ## spatial depth
    # depth.spatial(x, data)

    ## zonoid depth
    # depth.zonoid(x, data)

    ## potential
    # depth.potential (x, data, pretransform = "1Mom",
    #            kernel = "GKernel", kernel.bandwidth = NULL, mah.parMcd = 0.75)

    ## convex hull peeling depth
    # depth.qhpeeling(x, data)

### Arguments

`x` | Matrix of objects (numerical vector as one object) whose depth is to be calculated; each row contains a d-variate point. Should have the same dimension as `data`.
`data` | Matrix of data where each row contains a d-variate point, w.r.t. which the depth is to be calculated.
`notion` | The name of the depth notion (shall also work with a user-defined depth function named `"depth.<name>"`).
`...` | Additional parameters passed to the depth functions.

### Value

Numerical vector of depths, one for each row in `x`; or one depth value if `x` is a numerical vector.

### See Also

`depth.betaSkeleton`

`depth.halfspace`

`depth.L2`

`depth.Mahalanobis`

`depth.projection`

`depth.simplicial`

`depth.simplicialVolume`

`depth.spatial`

`depth.zonoid`

`depth.potential`

`depth.qhpeeling`

`depth.graph` for building the depth surfaces of the two dimensional data.

### Examples

    # 5-dimensional normal distribution
    data <- mvrnorm(1000, rep(0, 5),
                    matrix(c(1, 0, 0, 0, 0,
                             0, 2, 0, 0, 0,
                             0, 0, 3, 0, 0,
                             0, 0, 0, 2, 0,
                             0, 0, 0, 0, 1),
                    nrow = 5))
    x <- mvrnorm(10, rep(1, 5),
                 matrix(c(1, 0, 0, 0, 0,
                          0, 1, 0, 0, 0,
                          0, 0, 1, 0, 0,
                          0, 0, 0, 1, 0,
                          0, 0, 0, 0, 1),
                 nrow = 5))

    depths <- depth.(x, data, notion = "zonoid")
    cat("Depths: ", depths, "\n")

[Package ddalpha version 1.3.9 Index]